<?xml version="1.0" encoding="utf-8" standalone="no"?><manifest xmlns:android="http://schemas.android.com/apk/res/android" android:sharedUserId="android.uid.bluetooth" package="com.android.bluetooth" platformBuildVersionCode="22" platformBuildVersionName="5.1-293">
    <original-package android:name="com.android.bluetooth"/>
    <permission android:description="@string/permdesc_bluetoothShareManager" android:label="@string/permlab_bluetoothShareManager" android:name="android.permission.ACCESS_BLUETOOTH_SHARE" android:protectionLevel="signature"/>
    <permission android:description="@string/permdesc_bluetoothWhitelist" android:label="@string/permlab_bluetoothWhitelist" android:name="com.android.permission.WHITELIST_BLUETOOTH_DEVICE" android:protectionLevel="signature"/>
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
    <uses-permission android:name="android.permission.ACCESS_BLUETOOTH_SHARE"/>
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.BLUETOOTH"/>
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN"/>
    <uses-permission android:name="android.permission.BLUETOOTH_PRIVILEGED"/>
    <uses-permission android:name="android.permission.BLUETOOTH_MAP"/>
    <uses-permission android:name="android.permission.WAKE_LOCK"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.READ_CONTACTS"/>
    <uses-permission android:name="android.permission.READ_CALL_LOG"/>
    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>
    <uses-permission android:name="android.permission.WRITE_SETTINGS"/>
    <uses-permission android:name="android.permission.NFC_HANDOVER_STATUS"/>
    <uses-permission android:name="android.permission.WRITE_SECURE_SETTINGS"/>
    <uses-permission android:name="android.permission.WRITE_APN_SETTINGS"/>
    <uses-permission android:name="android.permission.NET_ADMIN"/>
    <uses-permission android:name="android.permission.CALL_PRIVILEGED"/>
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS"/>
    <uses-permission android:name="android.permission.NET_TUNNELING"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.CONNECTIVITY_INTERNAL"/>
    <uses-permission android:name="android.permission.MODIFY_PHONE_STATE"/>
    <uses-permission android:name="android.permission.INTERACT_ACROSS_USERS_FULL"/>
    <uses-permission android:name="android.permission.BLUETOOTH_STACK"/>
    <uses-permission android:name="android.permission.INTERACT_ACROSS_USERS"/>
    <uses-permission android:name="android.permission.MANAGE_USERS"/>
    <uses-permission android:name="com.google.android.gallery3d.permission.GALLERY_PROVIDER"/>
    <uses-permission android:name="com.android.gallery3d.permission.GALLERY_PROVIDER"/>
    <uses-permission android:name="android.permission.MMS_SEND_OUTBOX_MSG"/>
    <uses-permission android:name="android.permission.RECEIVE_SMS"/>
    <uses-permission android:name="android.permission.SEND_SMS"/>
    <uses-permission android:name="android.permission.READ_SMS"/>
    <uses-permission android:name="android.permission.WRITE_SMS"/>
    <uses-permission android:name="android.permission.READ_CONTACTS"/>
    <uses-permission android:name="android.permission.READ_PHONE_STATE"/>
    <uses-permission android:name="android.permission.MEDIA_CONTENT_CONTROL"/>
    <uses-permission android:name="android.permission.MANAGE_DOCUMENTS"/>
    <uses-permission android:name="android.permission.READ_PROFILE"/>
    <application android:icon="@drawable/bt_share" android:label="@string/app_name" android:name=".btservice.AdapterApp" android:persistent="false">
        <uses-library android:name="javax.obex"/>
        <provider android:authorities="com.android.bluetooth.opp" android:exported="true" android:name=".opp.BluetoothOppProvider" android:process="@string/process">
            <path-permission android:pathPrefix="/btopp" android:permission="android.permission.ACCESS_BLUETOOTH_SHARE"/>
        </provider>
        <service android:name=".btservice.AdapterService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetooth"/>
            </intent-filter>
        </service>
        <service android:enabled="@bool/profile_supported_opp" android:name=".opp.BluetoothOppService" android:permission="android.permission.ACCESS_BLUETOOTH_SHARE" android:process="@string/process"/>
        <receiver android:enabled="@bool/profile_supported_opp" android:exported="true" android:name=".opp.BluetoothOppReceiver" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.adapter.action.STATE_CHANGED"/>
                <action android:name="android.btopp.intent.action.OPEN_RECEIVED_FILES"/>
            </intent-filter>
        </receiver>
        <receiver android:name=".opp.BluetoothOppHandoverReceiver" android:permission="com.android.permission.WHITELIST_BLUETOOTH_DEVICE" android:process="@string/process">
            <intent-filter>
                <action android:name="android.btopp.intent.action.WHITELIST_DEVICE"/>
                <action android:name="android.btopp.intent.action.STOP_HANDOVER_TRANSFER"/>
            </intent-filter>
            <intent-filter>
                <action android:name="android.nfc.handover.intent.action.HANDOVER_SEND"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:mimeType="*/*"/>
            </intent-filter>
            <intent-filter>
                <action android:name="android.nfc.handover.intent.action.HANDOVER_SEND_MULTIPLE"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:mimeType="*/*"/>
            </intent-filter>
        </receiver>
        <activity android:enabled="@bool/profile_supported_opp" android:label="@string/bt_share_picker_label" android:name=".opp.BluetoothOppLauncherActivity" android:process="@string/process" android:theme="@android:style/Theme.Holo.Dialog">
            <intent-filter>
                <action android:name="android.intent.action.SEND"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:mimeType="image/*"/>
                <data android:mimeType="video/*"/>
                <data android:mimeType="audio/*"/>
                <data android:mimeType="text/x-vcard"/>
                <data android:mimeType="text/plain"/>
                <data android:mimeType="text/html"/>
                <data android:mimeType="text/xml"/>
                <data android:mimeType="application/zip"/>
                <data android:mimeType="application/vnd.ms-excel"/>
                <data android:mimeType="application/msword"/>
                <data android:mimeType="application/vnd.ms-powerpoint"/>
                <data android:mimeType="application/pdf"/>
                <data android:mimeType="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"/>
                <data android:mimeType="application/vnd.openxmlformats-officedocument.wordprocessingml.document"/>
                <data android:mimeType="application/vnd.openxmlformats-officedocument.presentationml.presentation"/>
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.SEND_MULTIPLE"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:mimeType="image/*"/>
                <data android:mimeType="video/*"/>
                <data android:mimeType="x-mixmedia/*"/>
                <data android:mimeType="text/x-vcard"/>
            </intent-filter>
            <intent-filter>
                <action android:name="android.btopp.intent.action.OPEN"/>
                <category android:name="android.intent.category.DEFAULT"/>
                <data android:mimeType="vnd.android.cursor.item/vnd.android.btopp"/>
            </intent-filter>
        </activity>
        <activity android:enabled="@bool/profile_supported_opp" android:excludeFromRecents="true" android:name=".opp.BluetoothOppBtEnableActivity" android:process="@string/process" android:theme="@android:style/Theme.Holo.Dialog.Alert"/>
        <activity android:excludeFromRecents="true" android:name=".opp.BluetoothOppBtErrorActivity" android:process="@string/process" android:theme="@android:style/Theme.Holo.Dialog.Alert"/>
        <activity android:enabled="@bool/profile_supported_opp" android:excludeFromRecents="true" android:name=".opp.BluetoothOppBtEnablingActivity" android:process="@string/process" android:theme="@android:style/Theme.Holo.Dialog.Alert"/>
        <activity android:enabled="@bool/profile_supported_opp" android:excludeFromRecents="true" android:name=".opp.BluetoothOppIncomingFileConfirmActivity" android:process="@string/process" android:theme="@android:style/Theme.Holo.Dialog.Alert"/>
        <activity android:enabled="@bool/profile_supported_opp" android:excludeFromRecents="true" android:name=".opp.BluetoothOppTransferActivity" android:process="@string/process" android:theme="@android:style/Theme.Holo.Dialog.Alert"/>
        <activity android:enabled="@bool/profile_supported_opp" android:icon="@drawable/ic_launcher_folder_bluetooth" android:label="@string/btopp_live_folder" android:name=".opp.BluetoothOppLiveFolder" android:process="@string/process">
            <intent-filter>
                <action android:name="android.intent.action.CREATE_LIVE_FOLDER"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <activity android:configChanges="keyboardHidden|orientation" android:enabled="@bool/profile_supported_opp" android:excludeFromRecents="true" android:label="" android:name=".opp.BluetoothOppTransferHistory" android:process="@string/process"/>
        <activity android:enabled="@bool/profile_supported_pbap" android:excludeFromRecents="true" android:name=".pbap.BluetoothPbapActivity" android:process="@string/process" android:theme="@android:style/Theme.Holo.Dialog.Alert">
            <intent-filter>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>
        <service android:enabled="@bool/profile_supported_pbap" android:name=".pbap.BluetoothPbapService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothPbap"/>
            </intent-filter>
        </service>
        <receiver android:enabled="@bool/profile_supported_pbap" android:exported="true" android:name=".pbap.BluetoothPbapReceiver" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.adapter.action.STATE_CHANGED"/>
                <action android:name="android.bluetooth.device.action.CONNECTION_ACCESS_REPLY"/>
                <action android:name="android.bluetooth.device.action.ACL_DISCONNECTED"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </receiver>
        <service android:enabled="@bool/profile_supported_map" android:name=".map.BluetoothMapService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothMap"/>
                <action android:name="android.btmap.intent.action.SHOW_MAPS_EMAIL_SETTINGS"/>
                <action android:name="com.android.bluetooth.map.USER_CONFIRM_TIMEOUT"/>
            </intent-filter>
        </service>
        <activity android:configChanges="keyboardHidden|orientation" android:enabled="@bool/profile_supported_map" android:excludeFromRecents="true" android:label="@string/bluetooth_map_email_settings_title" android:name=".map.BluetoothMapEmailSettings" android:process="@string/process"/>
        <service android:enabled="@bool/profile_supported_gatt" android:name=".gatt.GattService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothGatt"/>
            </intent-filter>
        </service>
        <service android:enabled="@bool/profile_supported_hs_hfp" android:name=".hfp.HeadsetService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothHeadset"/>
            </intent-filter>
        </service>
        <service android:enabled="@bool/profile_supported_a2dp" android:name=".a2dp.A2dpService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothA2dp"/>
            </intent-filter>
        </service>
        <service android:enabled="@bool/profile_supported_a2dp_sink" android:name=".a2dp.A2dpSinkService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothA2dpSink"/>
            </intent-filter>
        </service>
        <service android:enabled="@bool/profile_supported_avrcp_controller" android:name=".avrcp.AvrcpControllerService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothAvrcpController"/>
            </intent-filter>
        </service>
        <service android:enabled="@bool/profile_supported_hid" android:name=".hid.HidService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothInputDevice"/>
            </intent-filter>
        </service>
        <service android:enabled="@bool/profile_supported_hdp" android:name=".hdp.HealthService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothHealth"/>
            </intent-filter>
        </service>
        <service android:enabled="@bool/profile_supported_pan" android:name=".pan.PanService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothPan"/>
            </intent-filter>
        </service>
        <service android:enabled="@bool/profile_supported_hfpclient" android:name=".hfpclient.HeadsetClientService" android:process="@string/process">
            <intent-filter>
                <action android:name="android.bluetooth.IBluetoothHeadsetClient"/>
            </intent-filter>
        </service>
    </application>
</manifest>